Bug 144554

Summary: [GTK][SOUP] Web and Network processes don't know how to get memory size on OSX
Product: WebKit Reporter: Philip Chimento <philip.chimento>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Blocker CC: commit-queue, darin, dbates, koivisto, mrobinson, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: OS X 10.10   
Bug Depends on:    
Bug Blocks: 126492    
Attachments:
Description Flags
Patch for 2.6.x
none
Patch none

Description Philip Chimento 2015-05-03 15:39:32 PDT
The Soup backend has apparently never been compiled on OSX before, so it needs Darwin-specific code.

Although perhaps given #144081's recent landing, WebProcesSoup and NetworkProcessSoup should be ported to use WTF::ramSize?
Comment 1 Philip Chimento 2015-05-03 15:42:04 PDT
Created attachment 252287 [details]
Patch for 2.6.x

This patch applies to 2.6.x, which doesn't have WTF::ramSize yet.
Comment 2 WebKit Commit Bot 2015-05-03 15:45:17 PDT
Attachment 252287 [details] did not pass style-queue:


Total errors found: 0 in 0 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Csaba Osztrogon√°c 2015-05-04 08:28:14 PDT
changelog please
Comment 4 Darin Adler 2015-05-04 15:54:54 PDT
Should use a shared function, not local copies in two different source files of a function that definitely exists somewhere else in WebKit.
Comment 5 Philip Chimento 2015-05-07 22:48:12 PDT
Created attachment 252686 [details]
Patch
Comment 6 Philip Chimento 2015-05-07 22:48:43 PDT
Added changelog.
Comment 7 WebKit Commit Bot 2015-05-10 20:10:36 PDT
Comment on attachment 252686 [details]
Patch

Clearing flags on attachment: 252686

Committed r184064: <http://trac.webkit.org/changeset/184064>
Comment 8 WebKit Commit Bot 2015-05-10 20:10:41 PDT
All reviewed patches have been landed.  Closing bug.